Bug 846224 - ovirt-engine-backend [Quota]: cannot import a vm to setup when quota is enabled or in audit mode
ovirt-engine-backend [Quota]: cannot import a vm to setup when quota is enabl...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
urgent Severity high
: ---
: ---
Assigned To: Gilad Chaplik
Dafna Ron
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 04:27 EDT by Dafna Ron
Modified: 2016-02-10 15:18 EST (History)
10 users (show)

See Also:
Fixed In Version: si17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (250.21 KB, application/x-xz)
2012-08-07 04:27 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-07 04:27:10 EDT
Created attachment 602673 [details]
log

Description of problem:

when I try to import a vm to the setup (even a vm created when quota was enabled), we get a CanDo from backend that quota is not valid: 

2012-08-07 11:17:11,117 WARN  [org.ovirt.engine.core.bll.ImportVmCommand] (ajp-/127.0.0.1:8009-20) CanDoAction of action ImportVm failed. Reasons:VAR__ACTION__COPY,VAR__TYPE__VM_TEMPLATE,ACTION_TYPE_FAILED_QUOTA_IS_NOT_VALID


Version-Release number of selected component (if applicable):

si13

How reproducible:

100%

Steps to Reproduce:
1. create and export a vm
2. remove the vm from the setup -> import the vm back from export domain
3.
  
Actual results:

we get a CanDoAction error from backend in both enable and audit mode

Expected results:

we should be able to import the vm (quota selection should be done during import)

Additional info: backend log
Comment 1 Gilad Chaplik 2012-08-07 12:48:10 EDT
pushed to gerrit: http://gerrit.ovirt.org/#/c/6989/
Comment 5 Dafna Ron 2012-08-16 08:58:31 EDT
not fixed fro si14
moving back to devel
Comment 6 Gilad Chaplik 2012-08-19 06:21:29 EDT
pushed to gerrit (http://gerrit.ovirt.org/#/c/7184/)
Comment 7 Gilad Chaplik 2012-08-29 10:57:10 EDT
fixed upstream (3 patches: af9b44d32230893f95091fecdbe65fbca72c16d8..05152b38acfe3b2d903373b2fc1085664be8fabb) (last patch in gerrit: http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=05152b38acfe3b2d903373b2fc1085664be8fabb)


merged downstream (3 patches: 825980d3686bc5258342dd2075964a8f077deedd..e6a1dda3e45d43648cfcf65f98e3c4b2264a4bb7) (last patch in gerrit: https://gerrit.eng.lab.tlv.redhat.com/gitweb?p=ovirt-engine.git;a=commit;h=e6a1dda3e45d43648cfcf65f98e3c4b2264a4bb7)
Comment 8 Dafna Ron 2012-09-09 08:33:05 EDT
verified on si17

Note You need to log in before you can comment on or make changes to this bug.